<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <FrameLayout
        android:id="@+id/skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recyclerView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:overScrollMode="never" />

    <TextView
        android:id="@+id/noMatchView"
        android:layout_width="match_parent"
        android:layout_height="40dp"
        android:background="@color/bg_FFF6E6"
        android:gravity="center"
        android:text="该时间内暂无开服，为您展示最近开服~"
        android:textColor="@color/text_F9A755"
        android:textSize="12sp"
        android:visibility="gone"
        tools:visibility="visible" />

    <ImageView
        android:id="@+id/pullDownTip"
        android:visibility="gone"
        android:layout_width="28dp"
        android:layout_height="8dp"
        android:layout_centerHorizontal="true"
        android:src="@drawable/ic_pull_down_tip" />

    <include
        android:id="@+id/kaifuTimeContainer"
        layout="@layout/kaifu_item_time"
        android:visibility="gone" />

    <include
        android:id="@+id/loadingContainer"
        layout="@layout/reuse_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:visibility="gone" />

    <include
        android:id="@+id/noConnectionContainer"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data"
        android:layout_marginTop="64dp" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

</RelativeLayout>